I'm trying to deploy an update to flash (activex and plugin), and want to use a system requirement to check if the current version of flash is lower than....... At this moment :

But very annoying, i was searching for a registry setting or file that exists (also in older version) to check the file version . But i get randomly some other results.

First i was checking on Flash10l.ocx but it looks like this file changed each version as name :S
Also tried to check %WINDIR%\system32\Macromed\Flash\NPSWF32.dll but with the last update it's not putting that file back.

Where can i find the universal way to determine the version number of flash!

pfff something things can be so difficult.